[
{
    blockid=manage;
    custom=com.netscape.management.msgserv.nntp.ManageReplications;
    localvar={
	.headers="Hostname";
    },
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text="Replication Hosts";
		    font=["","",16];
		    wrap=$g.label.size5;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=table;
		    id=replicationtable;
		    label=adminlabel;
		    showedit=true;
		    buttonsat=east;
		    delimiter=" ";
		    columns=$.headers;
		    columns=[
			{
			    header="Hostname";
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{ /* network panel spec */

blockid=addDialog;

localvar =
{
  .ipaddress.space=20;
  .port.space=60;
  .field.height=30;
  .label.left.size=60;
  .label.size=75;

  .out.enabled="Enable outgoing feed";
  .out.send = "Send: ";
  .out.discussiongroups = "Discussion Groups: ";
  .out.items=["All discussion groups","No discussion groups","Specified discussion groups","All but specified disucssion groups"];
  .out.internalhost = "Designate remote host as an internal host";
  .conn.host="Remote Host Name :";
  .conn.domain="Domain :";
  .conn.ip="IP Address :";
  .conn.port="Port :";
  .conn.maxreaders="Max. Users :";
  .conn.maxfeeds="Max. Feeds :";
  .conn.timeout="Timeout :";
  .conn.user="Server User :";
  .conn.port="Remote server port:";
  .conn.port.userdefine = "Use this port:";
  .conn.port.default = "Use port 119 (same as this server)";
  .conn.ssl = "SSL settings for out going connection:";
  .conn.ssl.ofserver = "Use SSL setting of this server";
  .conn.ssl.remotessl = "Remote server uses SSL";
  .conn.ssl.remotenossl = "Remote server does not user SSL";
  .conn.replica="Designate remote host as a synchronized replica";
  .conn.replicavalue=false;

  .in.active = "Enable incoming feeds";
  .in.newgroup = "Accept newgroup control articles for groups: ";
  .in.newgroup.action = "When newgroup control articles arrive: ";
  .in.newgroup.choices = ["Create group", "Send email to Admin","Make log entry","Ignore" ];
  .in.rmgroup = "Accept newgroup control articles for groups: ";
  .in.rmgroup.action = "When newgroup control articles arrive: ";
  .in.rmgroup.choices = ["Create group", "Send email to Admin","Make log entry","Ignore" ];


  .rest.title=[titled, "Connection Restrictions"];
  .rest.require.login="Authenticate users upon connect";
  .rest.hcl.enable="Enable Host Restrictions";
  .rest.hcl.table.perm.header="Permission";
  .rest.hcl.table.patt.header="Host Pattern";
  .rest.hcl.perm.labels=["Allow", "Deny"];
  .rest.hcl.perm.items=["+", "-"];

  .service.nntp.service.user=nsnews;
  .service.nntp.network.servername="andy.mcom.com";
  .service.nntp.network.domain="mcom.com";
  .service.nntp.network.port=119;
  .service.nntp.network.maxreaders=50;
  .service.nntp.network.maxfeeds=10;
  .service.nntp.network.timeout=240;
  .service.nntp.network.dohostcontrol="true";
  .service.nntp.network.requirelogin="true";
  .service.nntp.network.ipaddress="";
  .service.nntp.network.accepthosts=
  [
    ["+", "*.mcom.com"],
    ["+", "*.netscape.com"],
    ["-", "*.microsoft.com"]
  ];
};

content=
[
  { /* Hostname panel */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* host name label */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.conn.host;
            id=connhost;
            label=hostname;
          }, /* End host name label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* host name textfield */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$hostname;
          } /* End name textfield */
        ]
      }
    ]
  }, /* End Hostname Panel */
  { /* seperated component space */
    ctrl=vstrut;
    size=$.g.comp.space.sep;
  },
  {
    ctrl=togglepane;
    text=$.conn.replica;
    val=$replica;
    modeinverse=true;
    content =
    [
      { /* start of Outgoing settings frame */
        ctrl=togglepane;
        text=$.out.enabled;
        val=$outgoing;
        /*ctrl=pane;
        border=$.conn.title;*/
        content=
        [ /* start of conn. settings contents */

          { /* pane containing seperated left and right input fields */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* pane containing seperated left and right input fields */

              { /* input fields that are on the left */
                ctrl=pane;
                layout=[ybox];
                content=
                [ /* contents in left input fields */

                  { /* Start of Send: Combo boxe */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of host name */
                      { /* Send label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.send;
                        id=connhost;
                        label=hostname;
                      }, /* host name label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Send discussion group choice */
                        ctrl=choice;
                        items = $.out.items;
                        aligny=0.5;
                        label=hostname;
                        val=$sendtype;
                      } /* Send discussion group choice */
                    ] /* host name contents */
                  }, /* End of hostname field */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Domain */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of Discussion group regular expression text field */
                      { /* Discussion groups */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.discussiongroups;
                        id=conndomain;
                        label=domain;
                      }, /* Domain label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Discussion group regular expression textfield */
                        ctrl=text;
                        aligny=0.5;
                        label=domain;
                        val=$sendpattype;
                      } /* Discussion group regular expression textfield */
                    ] /* Discussion group contents */
                  }, /* End of Discussion group */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Feed Port */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of port */
                      { /* port label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.conn.port;
                        id=connip;
                        label=ipaddress;
                      }, /* port label */
                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */
                      {
                        ctrl=text;
                        aligny=0.5;
                        label=outgoingport;
                        val=$outport;
                      }
                     ]
                  },
                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  { /* SSL Settings */
                    ctrl=choice;
                    style=radio;
                    items=["Use SSL settings of this server","Remote server uses SSL","Remote server does not user SSL"];
                    /*labels=["Use SSL settings of this server","Remote server uses SSL","Remote server does not user SSL"];*/
                    val=$ssl;
                  },
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  {
                    ctrl=togglepane;
                    text=$.out.internalhost;
                    val=$internal;
                  }
                ] /* contents in left input fields */
              } /* input fields that are on the left */

            ] /* pane containing seperated left and right input fields */
          } /* pane containing seperated left and right input fields */

        ] /* end of conn. settings contents */
      }, /* end of connection settings group */
      { /* seperated component space */
        ctrl=vstrut;
        size=$.g.comp.space.sep;
      },
      { /* Start of incoming settings */
        ctrl=togglepane;
        text=$.in.active;
        val=$incoming;
        content=
        [ /* newgroup control article */
          {
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* newgroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$newgrouppat;
                  } /* newgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup.action;
                    val=$.service.nntp.network.requirelogin;
                  }, /* When newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When newgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.newgroup.choices;
                    val=$newgroupaction;
                  } /* newgroup textbox */
                ]
              }

            ]
          },
          { /* rmgroup contents */
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* rmroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$rmgrouppat;
                  } /* rmgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup.action;
                    val=$rmgroupaction;
                  }, /* When rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When rmgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.rmgroup.choices;
                    val=$.service.nntp.network.dohostcontrol;
                  } /* rmgroup textbox */
                ]
              }

            ]
          }

        ] /* restrictions group contents */
      } /* End of connection restrictions group */

    ] /* END OF TOGGLE REPLICA PANEL */
  }

]; /* network panel contents */

} /* network panel spec */
]
